@echo         Ŀ
@echo                                                       
@echo                    A small demonstration              
@echo                                                       
@echo                                                       
@echo             YOU MUST HAVE Phar Lap software version   
@echo                 1.1 or greater to run programs.       
@echo         
@echo         Ŀ
@echo                                                       
@echo              Compile and link "Hello world".          
@echo              (also produces an assembly listing)      
@echo                                                       
@echo         
@if exist bin\hcdriver.exe goto nodrv
bin\hc386 demos\hello.c -Hon=list -Hon=asm
@goto driv
:nodrv
@if not exist bin\hcd386.exe goto noreal
bin\hcd386 demos/hello -on list asm
link hello,,,small\hcse
@goto driv
:noreal
bin\hcd386p demos/hello -on list asm
link hello,,,small\hcse
:driv
@echo         Ŀ
@echo                                                       
@echo              Run the "Hello World" program.           
@echo                                                       
@echo         
run386 hello
pause
@echo         Ŀ
@echo                                                       
@echo              Compile the prime number sieve program.  
@echo              Then link and run the result.            
@echo                                                       
@echo         
@if exist bin\hcdriver.exe goto nodrv2
bin\hc386 demos\sieve.c -Hpro=demos\hc.pro
@goto driv2
:nodrv2
@if not exist bin\hcd386.exe goto noreal2
bin\hcd386 demos/sieve -pro demos/hc.pro
link sieve,,,small\hcse
@goto driv2
:noreal2
bin\hcd386p demos/sieve -pro demos/hc.pro
link sieve,,,small\hcse
:driv2
@echo         Ŀ
@echo                                                       
@echo              Run the prime number sieve program.      
@echo                                                       
@echo         
pause
run386 sieve
@echo         Ŀ
@echo                                                       
@echo              Compile and link a program that          
@echo              computes greycodes.                      
@echo                                                       
@echo         
@if exist bin\hcdriver.exe goto nodrv3
bin\hc386 demos\greycode.c -Hpro=demos\hc.pro
@goto driv3
:nodrv3
@if not exist bin\hcd386.exe goto noreal3
bin\hcd386 demos/greycode -pro demos/hc.pro
link greycode,,,small\hcse
@goto driv3
:noreal3
bin\hcd386p demos/greycode -pro demos/hc.pro
link greycode,,,small\hcse
:driv3
@echo         Ŀ
@echo                                                       
@echo              Run greycode, run.                       
@echo                                                       
@echo         
pause
run386 greycode
@if exist hello.ex?     del hello.ex?
@if exist hello.obj     del hello.obj
@if exist hello.map     del hello.map
@if exist sieve.ex?     del sieve.ex?
@if exist sieve.obj     del sieve.obj
@if exist sieve.map     del sieve.map
@if exist greycodes.ex? del greycodes.ex?
@if exist greycodes.obj del greycodes.obj
@if exist greycodes.map del greycodes.map
@echo         Ŀ
@echo                                                       
@echo                      End of demonstration.            
@echo                                                       
@echo         
